package com.ssj.service.kmt.correctsys.dto;

import java.io.Serializable;
import java.util.List;

/**
 * @author Mount Liu
 * @date 2019/5/17
 */
public class UserDto implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 头像
     */
    private String imgUrl;
    /**
     * 微信昵称
     */
    private String wxName;
    /**
     * 姓名
     */
    private String name;
    /**
     * 学校
     */
    private String school;
    /**
     * 我的管理员
     */
    private String myManager;
    /**
     * 我的管理员id
     */
    private String managerId;

    private  String idNumber;

    /**
     * 管理员列表
     */
    private List<Manager> managerList;

    public class Manager implements Serializable {
        private static final long serialVersionUID = 1L;
        /**
         * 管理员id
         */
        private String id;
        /**
         * 管理员名字
         */
        private String name;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }
    }


    /**
     * 批改科目(多个科目以这种方式：语文;数学;英语)
     */
    private String subject;
    /**
     * 批改年级(多个年级以这种方式：一年级,二年级,三年级,四年级,五年级,六年级)
     */
    private String grade;
    /**
     * 可批改时间段(多个以这种方式：周一;周二)
     */
    private String period;
    /**
     * 手机号码
     */
    private String phone;
    /**
     * 审核状态（0：未审核，1：审核通过，2：审核拒绝，3：审核中）
     */
    private int approveStatus;
    /**
     * 是否是第一次审核（0：否，1：是）
     */
    private int isFirst;
    /**
     * 角色(1:在线批改老师，2：校区群管理员，3：超级管理员，0：无角色)
     */
    private int role;
    /**
     * 是否封号
     */
    private int isBanned;
    /**
     * 拒绝原因
     */
    private String reason;
    private String unionid;
    /**
     * 身份证正面
     */
    private String idFace;
    /**
     * 银行名（我的）
     */
    private String bankName;
    /**
     * 银行图标（我的）
     */
    private String bankIcon;
    /**
     * 持卡人姓名
     */
    private String cardholder;


    /**
     * 银行卡号
     */
    private String cardNumber;
    /**
     * 开户支行
     */
    private String bankBranch;
    /**
     * 所有可选银行列表
     */
    private List<Bank> bankList;
    /**
     * 老师等级
     */
    private int teacherLevel;

    public int getTeacherLevel() {
        return teacherLevel;
    }

    public void setTeacherLevel(int teacherLevel) {
        this.teacherLevel = teacherLevel;
    }

    public class Bank implements Serializable {
        private static final long serialVersionUID = 1L;
        /**
         * 银行名（可选）
         */
        private String bankName;
        /**
         * 银行图标（可选）
         */
        private String bankIcon;

        public String getBankName() {
            return bankName;
        }

        public void setBankName(String bankName) {
            this.bankName = bankName;
        }

        public String getBankIcon() {
            return bankIcon;
        }

        public void setBankIcon(String bankIcon) {
            this.bankIcon = bankIcon;
        }
    }

    public String getUnionid() {
        return unionid;
    }

    public void setUnionid(String unionid) {
        this.unionid = unionid;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getWxName() {
        return wxName;
    }

    public void setWxName(String wxName) {
        this.wxName = wxName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSchool() {
        return school;
    }

    public void setSchool(String school) {
        this.school = school;
    }

    public String getMyManager() {
        return myManager;
    }

    public void setMyManager(String myManager) {
        this.myManager = myManager;
    }

    public String getManagerId() {
        return managerId;
    }

    public void setManagerId(String managerId) {
        this.managerId = managerId;
    }

    public List<Manager> getManagerList() {
        return managerList;
    }

    public void setManagerList(List<Manager> managerList) {
        this.managerList = managerList;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getPeriod() {
        return period;
    }

    public void setPeriod(String period) {
        this.period = period;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public int getApproveStatus() {
        return approveStatus;
    }

    public void setApproveStatus(int approveStatus) {
        this.approveStatus = approveStatus;
    }

    public int getIsFirst() {
        return isFirst;
    }

    public void setIsFirst(int isFirst) {
        this.isFirst = isFirst;
    }

    public int getRole() {
        return role;
    }

    public void setRole(int role) {
        this.role = role;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public int getIsBanned() {
        return isBanned;
    }

    public void setIsBanned(int isBanned) {
        this.isBanned = isBanned;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankIcon() {
        return bankIcon;
    }

    public void setBankIcon(String bankIcon) {
        this.bankIcon = bankIcon;
    }

    public String getCardholder() {
        return cardholder;
    }

    public void setCardholder(String cardholder) {
        this.cardholder = cardholder;
    }

    public String getCardNumber() {
        return cardNumber;
    }

    public void setCardNumber(String cardNumber) {
        this.cardNumber = cardNumber;
    }

    public String getBankBranch() {
        return bankBranch;
    }

    public void setBankBranch(String bankBranch) {
        this.bankBranch = bankBranch;
    }

    public List<Bank> getBankList() {
        return bankList;
    }

    public void setBankList(List<Bank> bankList) {
        this.bankList = bankList;
    }

    public String getIdFace() {
        return idFace;
    }

    public void setIdFace(String idFace) {
        this.idFace = idFace;
    }

    public String getIdNumber() {
        return idNumber;
    }

    public void setIdNumber(String idNumber) {
        this.idNumber = idNumber;
    }
}
